import { ServerlessMysql } from "serverless-mysql";
type QueryObject = {
    query: string;
    values?: (string | number | undefined)[];
};
type Return<ReturnType = any> = ReturnType | null | {
    error: string;
};
/**
 * # Run Query From MySQL Connection
 * @description Run a query from a pre-existing MySQL/Mariadb Connection
 * setup with `serverless-mysql` npm module
 */
export default function connDbHandler<ReturnType = any>(
/**
 * ServerlessMySQL Connection Object
 */
conn?: ServerlessMysql, 
/**
 * String Or `QueryObject` Array
 */
query?: QueryObject["query"] | QueryObject[], 
/**
 * Array of Values to Sanitize and Inject
 */
values?: QueryObject["values"], debug?: boolean): Promise<Return<ReturnType>>;
export {};
